<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <title>{% block title %}   {% endblock title %}</title>
  </head>
  <style>
      .padding{
    list-style-type: none;
     padding:0px;
}
  </style>
  <body style="background-color:#545b62;">

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand " href="/">Country</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item {% block homeactive %}  {% endblock homeactive %}">
              <a class="nav-link padding" href="/">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item {% block aboutactive %}  {% endblock aboutactive %}" >
              <a class="nav-link padding" href="/about">About</a>
            </li>
            <li class="nav-item {% block contactactive %}  {% endblock contactactive %} ">
              <a class="nav-link padding" href="/contact">Contact</a>
            </li>
          </ul>
          <div class="ml-auto form-inline ">
          <form method="get" action="/search"class="my-2 my-lg-0 mx-3">
            <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" name="query" id="query">
            <button class="btn btn-outline-success my-2 my-sm-0 " type="submit">Search</button>
            <a href="/admin" role="button" target="_blank" class="btn btn-outline-success m-2 my-sm-0"> Admin Panel </a>
          </form>



{% if user.is_authenticated %}
<ul class="navbar-nav mr-2">
<li class="nav-item dropdown">
<a class="nav-link dropdown-toggle" href='#' id="navbarDropdown" role="button" data-toggle="dropdown"> Welcome {{request.user}}</a>
<div class="dropdown-menu" aria-labelledby="navbarDropdown">
           <a href="{% url 'logout' %}">Logout</a>

        </div>
      </li>
      </ul>
      </div>
{% else %}
  <!-- Button to  trigger Login modal -->
<button type="button" class="btn btn-success mr-2" data-toggle="modal" data-target="#loginModal">
  <a href="{% url 'login' %}">Login</a>
</button>
<button type="button" class="btn btn-success mr-2" data-toggle="modal" data-target="#signupModal">
  <a href="{% url 'signup' %}">Register</a>
</button>
{% endif %}


        </div>
      </nav>
      {% for message in messages  %}
      <div class="alert alert-{{ message.tags }} alert-dismissible fade show" role="alert">
            <strong>Message : </strong> {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
      {% endfor %}


<!-- SignUp Modal -->

      {% block body %}  {% endblock body %}

<!-- Login Modal -->


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
  </body>
</html>